import org.trinitydesktop.qt.*;

public class Tut1 extends TQObject {
	public static void main(String[] args) {
		TQApplication a = new TQApplication(args);
		TQPushButton hello = new TQPushButton("Hello World!", null);
		hello.resize(100, 30);
		
		a.setMainWidget(hello);
		hello.show();
		a.exec();
	}
	
	static {
		try {
			Class c = Class.forName("org.trinitydesktop.qt.qtjava");
		} catch (Exception e) {
			e.printStackTrace();
			System.out.println("Can't load qtjava class");
		}
	}
}
